petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUSPGetArrayReadWrite

Provides access to the CUSP vector inside a vector.

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPGetArrayReadWrite(Vec v, CUSPARRAY **a)

This function has semantics similar to VecGetArray(): the CUSP Many brvector returned by this function points to a consistent view of the Many brvector data. This may involve a copy operation of data from the host Many brto the device if the data on the device is out of date. If the Many brdevice memory hasn't been allocated previously it will be allocated Many bras part of this function call. VecCUSPGetArrayReadWrite() assumes Many brthat the user will modify the vector data. This is similar to Many brintent(inout) in fortran. Many br

The CUSP device vector has to be released by calling Many brVecCUSPRestoreArrayReadWrite(). Upon restoring the vector data the Many brdata on the host will be marked as out of date. A subsequent access Many brof the host data will thus incur a data transfer from the device to Many brthe host. Many br

### Input Parameter

v -the vector Many br

### Output Parameter

a -the CUSP device vector Many br
Fortran note: This function is not currently available from Fortran. Many br

### Fortran note

This function is not currently available from Fortran. Many br

Many br

### See Also

VecCUSPRestoreArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages